CC		= gcc
CFLAGS	= -Wall -Werror -ansi -pedantic
CFLAGS += -D_XOPEN_SOURCE=500
CFLAGS += -g

ALL := ft_prlimit ft_maccess ft_maccess+

all: ${ALL}

%.o: %.c %.h
	${CC} ${CFLAGS} -c $<

%: %.o
	${CC} ${LDFLAGS} -o $@ $^

%: %.c

test:
	bash tests.sh # Ne pas lancer avec sh

clean:
	rm *.o || true

realclean:
	rm ${ALL} || true

.PHONY: all clean realclean
